float f;                                // глобальная переменная
 
void setup()                            // функция начальных установок
{ 
  size(400, 400);                       // размер окна для рисования  
  background(0,0,0);                    // закраска фона черным цветом
  smooth();                             // рисуем все сглаженным
  noStroke();                           // без абриса 
  frameRate(15);                        // частота рисования - раз(кадров) в секунду 
}

void draw()                             // функция рисования, вызывается n - раз(кадров) в секунду
{   
    //fill(0,0,0,5); rect (0,0,399,399);  // плавно "гасим" картинку, последняя цифра - прозрачность 
    float x, y, ff = 2.00;
    int c = 0;
    for (int i = 0; i < 300; i = i + 1) // цикл, начинаем с 0, и до 299 (i < 300)
    { x = 200 + 0.001 * i * ff * sin(f + (float)i / 4.75); // спираль - x - координата
      y = 200 + 0.001 * i * ff * cos(f + (float)i / 4.75); // спираль - y - координата
      fill(255 - ff * 0.125 - c, 125 - ff * 0.125 - c, 0); // цвет отрисовки  
      c = abs(c - 15);                                     // организуем полосатость закраски
      stroke (135 - ff * 0.05, 55 - ff * 0.05, 0);   // абрис отрисовки
      ellipse (x, y, 0.0008 * i * ff, 0.0008 * i * ff);    // рисуем круг - оба радиуса равны
      //fill(255, 175, 100, 25); noStroke(); ellipse (x, y, 0.00050 * i * ff, 0.00050 * i * ff);
                                        // добавляем гламуру
      ff = ff * 1.0225;                 // чтобы разворачиволось по спирали, а не по кругу 
    };
    f = f - 0.05;                       // чтоб спираль крутилась
}                                       // это все
